Subject: bug#34927: Curl is not configured to use its dependency libssh2

From: Leo Famulari <[email-masked]>
Date: Thu, 21 Mar 2019 13:38:12 -0400

On Thu, Mar 21, 2019 at 12:54:02AM +0100, Marius Bakke wrote:
> Since no one apparently uses it, let's just remove it.  I'm something of
> a curl power user and did not know it even had SSH support!
> 
> In the mean time, if curl is the only "heavy" user of libssh2, we
> can give it a non-public or hidden libssh2 package that stays on version
> 1.8.0 to avoid the graft.  WDYT?

Good idea! Done in af8f7eb4f2a664c2d0fb3faabaf2e80c72993ef6

I'll leave this bug open until curl either uses libssh2 or we remove the
dependency.